net.minecraft.server.dedicated

## Class DedicatedPlayerList

- java.lang.Object
- - net.minecraft.server.management.ServerConfigurationManager
  - - net.minecraft.server.dedicated.DedicatedPlayerList

-     public class DedicatedPlayerList
      extends ServerConfigurationManager

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.server.management.ServerConfigurationManager

      `playerEntityList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DedicatedPlayerList(DedicatedServer par1DedicatedServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOp(String par1Str)` This adds a username to the ops list, then saves the op list
    `void` | `addToWhiteList(String par1Str)` Add the specified player to the white list.
    `DedicatedServer` | `getDedicatedServerInstance()`
    `MinecraftServer` | `getServerInstance()`
    `boolean` | `isAllowedToLogin(String par1Str)` Determine if the player is allowed to connect based on current server settings.
    `void` | `loadWhiteList()` Either does nothing, or calls readWhiteList.
    `void` | `removeFromWhitelist(String par1Str)` Remove the specified player from the whitelist.
    `void` | `removeOp(String par1Str)` This removes a username from the ops list, then saves the op list
    `void` | `setWhiteListEnabled(boolean par1)`

    - ### Methods inherited from class net.minecraft.server.management.ServerConfigurationManager

      `allowUserToConnect, createPlayerForUser, findPlayers, func_110459_a, func_72375_a, getAllUsernames, getAvailablePlayerDat, getBannedIPs, getBannedPlayers, getCurrentPlayerCount, getEntityViewDistance, getHostPlayerData, getMaxPlayers, getOps, getPlayerForUsername, getPlayerList, getPlayerListAsString, getViewDistance, getWhiteListedPlayers, initializeConnectionToPlayer, isPlayerOpped, isWhiteListEnabled, playerLoggedIn, playerLoggedOut, readPlayerDataFromFile, removeAllPlayers, respawnPlayer, saveAllPlayerData, sendChatMsg, sendPacketToAllPlayers, sendPacketToAllPlayersInDimension, sendPlayerInfoToAllPlayers, sendToAllNear, sendToAllNearExcept, serverUpdateMountedMovingPlayer, setCommandsAllowedForAll, setGameType, setPlayerManager, syncPlayerInventory, transferEntityToWorld, transferEntityToWorld, transferPlayerToDimension, transferPlayerToDimension, updateTimeAndWeatherForPlayer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DedicatedPlayerList

          public DedicatedPlayerList(DedicatedServer par1DedicatedServer)

  - ### Method Detail

    - #### setWhiteListEnabled

          public void setWhiteListEnabled(boolean par1)

      Overrides:
        `setWhiteListEnabled` in class `ServerConfigurationManager`

    - #### addOp

          public void addOp(String par1Str)

      This adds a username to the ops list, then saves the op list
      Overrides:
        `addOp` in class `ServerConfigurationManager`

    - #### removeOp

          public void removeOp(String par1Str)

      This removes a username from the ops list, then saves the op list
      Overrides:
        `removeOp` in class `ServerConfigurationManager`

    - #### removeFromWhitelist

          public void removeFromWhitelist(String par1Str)

      Remove the specified player from the whitelist.
      Overrides:
        `removeFromWhitelist` in class `ServerConfigurationManager`

    - #### addToWhiteList

          public void addToWhiteList(String par1Str)

      Add the specified player to the white list.
      Overrides:
        `addToWhiteList` in class `ServerConfigurationManager`

    - #### loadWhiteList

          public void loadWhiteList()

      Either does nothing, or calls readWhiteList.
      Overrides:
        `loadWhiteList` in class `ServerConfigurationManager`

    - #### isAllowedToLogin

          public boolean isAllowedToLogin(String par1Str)

      Determine if the player is allowed to connect based on current server settings.
      Overrides:
        `isAllowedToLogin` in class `ServerConfigurationManager`

    - #### getDedicatedServerInstance

          public DedicatedServer getDedicatedServerInstance()

    - #### getServerInstance

          public MinecraftServer getServerInstance()

      Overrides:
        `getServerInstance` in class `ServerConfigurationManager`